// Resistance of a conductor having circular cross-section
// SCILAB source file: ex2101.sce
// Get input data from dialogue box
txt = ['Length of the conductor (m)';'Diameter of the conductor (mm)';'Specific resistance of the material (x10-8)';];
var = x_mdialog('Enter length and diameter of the conductor and specific resistance',txt,['2.5';'0.2';'1.68';]);
l = evstr(var(1));
d = 1E-3*evstr(var(2));
p = 1E-8*evstr(var(3));
// Area of the conductor
a = %pi*((d/2)^2); 
// Calculate resistance
r = p*l/a;
// Display result
messagebox("Resistance = " + string(r) + " ohm")

